# XMPP
[XMPP](https://zh.wikipedia.org/wiki/XMPP) 通信协议测试. 

测试环境如下:

    云服务器: demo.zycoo.com
    Docker-Compose
    Prosody 0.12.4
    有效 TLS 证书

## 相关开源软件

- [服务端](#服务端)
- [Android](#android)
- [Windows](#windows)
- [iOS/Mac](#iosmac)


### 服务端

[prosody](https://prosody.im/)

### Android

conversations [APK文件](http://bc.zycoo.com:8050/share/NLoQFiG2) [Google Play](https://play.google.com/store/apps/details?id=eu.siacs.conversations)
![alt text](android1.png)
![alt text](android2.png)
![alt text](android3.png)
![alt text](android4.png)
![alt text](android5.png)

### Windows

Gajim [Exe 安装文件](http://bc.zycoo.com:8050/share/h1RaWUr_)
![alt text](windows1.png)
![alt text](windows2.png)
![alt text](windows3.png)
![alt text](windows4.png)
![alt text](windows5.png)
![alt text](windows6.png)
![alt text](windows7.png)



### iOS/Mac

Monal [AppStore](https://apps.apple.com/us/app/monal-xmpp-chat/id317711500)

![alt text](mac1.png)
![alt text](mac2.png)
![alt text](mac3.png)
![alt text](mac4.png)
![alt text](mac5.png)

## 测试稳定和可行性

* 语音/视频不稳定, 不能使用
* mac/ios端不能预览 mp3 文件, 没有下载/另存操作

## FAQ
* 移动端后台不能接受消息, 需要配合推送. 
* 开放注册, **不要信任对方任何消息**

